### Property

# GUPnP DeviceInfo:resource-factory

#### Declaration

    property resource-factory: GUPnP.ResourceFactory [ read, write, construct-only ]

#### Description [src]

The resource factory to use. Set to NULL for default factory.

Type:`GUPnPResourceFactory`

Getter method | `gupnp_device_info_get_resource_factory()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes